<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy RobotImage</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_robot_image.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="class_robot_image-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy RobotImage</div></div>
</div><!--header-->
<div class="contents">

<p>Widget wyświetlający obraz robota.  
 <a href="class_robot_image.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="_robot_image_8hpp_source.html">RobotImage.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla RobotImage</div>
<div class="dyncontent">
<div class="center"><img src="class_robot_image__inherit__graph.png" border="0" usemap="#a_robot_image_inherit__map" alt="Inheritance graph"/></div>
<map name="a_robot_image_inherit__map" id="a_robot_image_inherit__map">
<area shape="rect" title="Widget wyświetlający obraz robota." alt="" coords="5,79,97,104"/>
<area shape="rect" title=" " alt="" coords="15,5,87,31"/>
<area shape="poly" title=" " alt="" coords="54,44,54,79,49,79,49,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla RobotImage:</div>
<div class="dyncontent">
<div class="center"><img src="class_robot_image__coll__graph.png" border="0" usemap="#a_robot_image_coll__map" alt="Collaboration graph"/></div>
<map name="a_robot_image_coll__map" id="a_robot_image_coll__map">
<area shape="rect" title="Widget wyświetlający obraz robota." alt="" coords="5,79,97,104"/>
<area shape="rect" title=" " alt="" coords="15,5,87,31"/>
<area shape="poly" title=" " alt="" coords="54,44,54,79,49,79,49,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:afbfa9b57df3c98be0c0c750d0003bc68"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_image.html#afbfa9b57df3c98be0c0c750d0003bc68">RobotImage</a> (QWidget *parent=nullptr)</td></tr>
<tr class="memdesc:afbfa9b57df3c98be0c0c750d0003bc68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt klasy <a class="el" href="class_robot_image.html" title="Widget wyświetlający obraz robota.">RobotImage</a>.  <br /></td></tr>
<tr class="separator:afbfa9b57df3c98be0c0c750d0003bc68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a0e32adc5fbc1bfc18f27fdf73c7b09"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_robot_image.html#a5a0e32adc5fbc1bfc18f27fdf73c7b09">paintEvent</a> (QPaintEvent *event) override</td></tr>
<tr class="memdesc:a5a0e32adc5fbc1bfc18f27fdf73c7b09"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rysuje obraz robota.  <br /></td></tr>
<tr class="separator:a5a0e32adc5fbc1bfc18f27fdf73c7b09"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Dzięki reimplementacji metody paintEvent, rysowany na sobie obraz jest dynamicznie dopasowywany do zmieniających się rozmiarów rodzica. </p>

<p class="definition">Definicja w linii <a class="el" href="_robot_image_8hpp_source.html#l00026">26</a> pliku <a class="el" href="_robot_image_8hpp_source.html">RobotImage.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="afbfa9b57df3c98be0c0c750d0003bc68" name="afbfa9b57df3c98be0c0c750d0003bc68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbfa9b57df3c98be0c0c750d0003bc68">&#9670;&#160;</a></span>RobotImage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RobotImage::RobotImage </td>
          <td>(</td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wywołuje konstruktor klasy bazowej QWidget przekazując wskaźnik na rodzica.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">parent</td><td>- wskaźnik na rodzica </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_image_8cpp_source.html#l00016">16</a> pliku <a class="el" href="_robot_image_8cpp_source.html">RobotImage.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a5a0e32adc5fbc1bfc18f27fdf73c7b09" name="a5a0e32adc5fbc1bfc18f27fdf73c7b09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a0e32adc5fbc1bfc18f27fdf73c7b09">&#9670;&#160;</a></span>paintEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RobotImage::paintEvent </td>
          <td>(</td>
          <td class="paramtype">QPaintEvent *&#160;</td>
          <td class="paramname"><em>event</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Tworzy obiekt QImage przekazując bezwzględną ścieżkę do obrazu zdefiniowaną w makrze. Skaluje obraz do aktualnych rozmiarów widgetu natychmiastowo (FastTransformation) bez zachowania stosunku boków (IgnoreAspectRatio). Tak przeskalowany obraz umieszcza w lewym górnym rogu (punkt [0, 0]).</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">event</td><td>- wydarzenie mówiące o konieczności aktualizacji widgetu, np. przez zmianę rozmiaru okna </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_robot_image_8cpp_source.html#l00029">29</a> pliku <a class="el" href="_robot_image_8cpp_source.html">RobotImage.cpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="_robot_image_8hpp_source.html">RobotImage.hpp</a></li>
<li><a class="el" href="_robot_image_8cpp_source.html">RobotImage.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_robot_image.html">RobotImage</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
